Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.terminal
Interface CHVEncoder

    public interface CHVEncoder

Encode a `String` for card holder verification.

Version:
  $Id: CHVEncoder.java,v 1.1.1.1 2004/04/08 10:29:27 asc Exp $
Author:
  Peter Trommler (trp@zurich.ibm.com)

Field Summary
`static java.lang.String` | `BCD_ENCODING` The CHV is actually a PIN that is encoded in packed binary coded decimals (BCD)
`static java.lang.String` | `F2B_ENCODING` The CHV is actually a PIN that is encoded in packed binary coded decimals (BCD) using ISO 9564-1 Format 2 Block
`static java.lang.String` | `STRING_ENCODING` String encoding; that is, use the String.getBytes() method.

Method Summary
`byte[]` | `encodeCHV(java.lang.String chv)` Transform a Java `String` into a byte array suitable for the verification command

Field Detail

### STRING_ENCODING

    static final java.lang.String STRING_ENCODING

  String encoding; that is, use the String.getBytes() method. This is only an intermediate solution.

  See Also:
    Constant Field Values

### BCD_ENCODING

    static final java.lang.String BCD_ENCODING

  The CHV is actually a PIN that is encoded in packed binary coded decimals (BCD)

  See Also:
    Constant Field Values

### F2B_ENCODING

    static final java.lang.String F2B_ENCODING

  The CHV is actually a PIN that is encoded in packed binary coded decimals (BCD) using ISO 9564-1 Format 2 Block

  See Also:
    Constant Field Values

Method Detail

### encodeCHV

    byte[] encodeCHV(java.lang.String chv)

  Transform a Java `String` into a byte array suitable for the verification command

  Parameters:
    `chv` - the `String` (returned by keyboardInput e.g.)
  Returns:
    a byte array containing the encoded CHV string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD